﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using org.pdfbox.pdmodel;
using org.pdfbox.util;
using iTextSharp.text.pdf;
using System.Data.SqlServerCe;
using iTextSharp.text.pdf.parser;
using iTextSharp.text;
using System.IO;

namespace version1
{
    public partial class Form3 : Form
    {

        string dirPath2 = "C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/resultados";

        public Form3()
        {
            InitializeComponent();

            listBox1.Items.Clear();
            //Rellena listbox1 con los archivos en pdf con anotaciones 
            List<string> dirs2 = new List<string>(Directory.EnumerateFiles(dirPath2));
            char[] b = { '\\' };
            foreach (string dir2 in dirs2)
            {
                string[] nombre2 = dir2.Split(b);
                listBox1.Items.Add(nombre2[nombre2.Length - 1]);
            }
            label3.Visible = false;
            label4.Visible = false;
            label5.Visible = false;
            label6.Visible = false;
            label7.Visible = false;
            listBox2.Visible = false;
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                label3.Visible = true;
                label5.Visible = true;
                label7.Visible = true;
                label6.Visible = true;
                label6.Text = "-";
                listBox2.Items.Clear();
                string nom = listBox1.SelectedItem.ToString();
                listBox2.Visible = true;
                string file = ""+dirPath2+"/" + nom + "";
                axAcroPDF1.LoadFile(file);
                axAcroPDF1.setShowToolbar(true);
                PdfReader R = new PdfReader(file);

                Dictionary<string, string> metadatosPDF = R.Info;
                foreach (KeyValuePair<string, string> clave in metadatosPDF)
                {
                    if (clave.Key == "Author")
                    {
                        label6.Text = clave.Value;
                    }
                }

                System.Data.SqlServerCe.SqlCeConnection conn;
                char[] z = {'_', '.' };
                string[] nom_pdf = nom.ToString().Split(z);
                int longi = nom_pdf.Length;

                System.Text.StringBuilder nom_pdf_final = new System.Text.StringBuilder();
                nom_pdf_final = nom_pdf_final.Append(nom_pdf[0]);
                for (int k = 1; k < nom_pdf.Length - 3; k++)
                {
                    nom_pdf_final.Append('_');
                    nom_pdf_final.Append(nom_pdf[k]);
                }
                string nom_pdf_f = nom_pdf_final.ToString();
                label4.Visible = true;
                label4.Text = nom;

                //Buscamos en la base de datos las anotaciones que tenga en pdf
                conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                conn.Open();
                SqlCeCommand cmd = conn.CreateCommand();
                //cmd.CommandText = "SELECT DISTINCT id_etiqueta FROM tiene WHERE id_pdf = '" + nom_pdf[0] + "' AND id_etiqueta = '" + nom_pdf[2] + "'";
                cmd.CommandText = "SELECT DISTINCT id_etiqueta FROM tiene WHERE id_pdf = '" + nom_pdf_f + "'";
                SqlCeDataReader res = cmd.ExecuteReader();
                cmd.ExecuteNonQuery();

                while (res.Read())
                {
                    listBox2.Items.Add(res[0].ToString());
                }
                conn.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error a la hora de analizar el PDF.");
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog car = new FolderBrowserDialog();
            
            try
            {
                if (car.ShowDialog() == DialogResult.OK)
                {
                    listBox1.Items.Clear();
                    string dir = car.SelectedPath;
                    List<string> dirs2 = new List<string>(Directory.EnumerateFiles(dir));
                    char[] b = { '\\' };
                    label1.Visible = false;
                    foreach (string dir2 in dirs2)
                    {
                        string[] nombre2 = dir2.Split(b);
                        listBox1.Items.Add(nombre2[nombre2.Length - 1]);
                    }
                    label1.Visible = true;
                    label1.Text = dir;
                    dirPath2 = dir;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error al elegir la nueva carpeta.");
            }
        }
    }
}
