﻿using System;
using System.IO;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using org.pdfbox.pdmodel;
using org.pdfbox.util;
using iTextSharp.text.pdf;
using System.Data.SqlServerCe;
using iTextSharp.text.pdf.parser;
using iTextSharp.text;
using System.Text.RegularExpressions;
using System.Diagnostics;

namespace version1
{
    public partial class Form1 : Form
    {

        public Form1(int auto)
        {
            InitializeComponent();
            this.auto = auto;
        }

        int iden_eti = 0;
        Dictionary<int, string> lista_paginas;
        string identi_pdf;
        int auto;

        //private void button1_Click(object sender, EventArgs e)
        //{
        //    try
        //    {
        //        if (comboBox1.Text.Length == 0)
        //        {
        //            MessageBox.Show("Por favor, elija la palabra que quiere buscar.");
        //        }
        //        else
        //        {
        //            busqueda(comboBox1.SelectedItem.ToString());
        //            comboBox1.SelectedItem = null;
        //        }
        //    }
        //    catch(Exception ex)
        //    {
        //        MessageBox.Show("Error al pulsar el botón Buscar.");
        //    }
        //}

        public void busqueda(string elegido)
        {
            //MODO INDIVIDUAL
            if (auto == 0)
            {
                Stream myStream = null;
                OpenFileDialog openFileDialog1 = new OpenFileDialog();

                openFileDialog1.InitialDirectory = "C:/Users/Leticia/Desktop/pruebas_proyecto";
                openFileDialog1.Filter = "Portable Document Format (*.pdf)|*.pdf";
                openFileDialog1.FilterIndex = 2;
                openFileDialog1.RestoreDirectory = true;

                if (openFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    try
                    {
                        if ((myStream = openFileDialog1.OpenFile()) != null)
                        {
                            using (myStream)
                            {
                                //LEEMOS EL ARCHIVO PDF
                                lista_paginas = leePdf(openFileDialog1.FileName, elegido);
                                //SI NO ESTA LA PALABRA ACABAMOS
                                if (lista_paginas.Count == 0)
                                {
                                    DialogResult boton = MessageBox.Show("La palabra que quiere buscar no está en el documento seleccionado.");
                                }
                                //SI ESTA LA PALABRA ALMACENAMOS EL PDF EN LA BBDD etc...
                                else
                                {
                                    Document doc2 = new Document(PageSize.A4, 10, 10, 10, 10);
                                    string filename2 = "C:/Users/Leticia/Documents/Visual Studio 2010/Projects/version1/version1/resultados/info_temp.pdf";
                                    FileStream file2 = new FileStream(filename2, FileMode.OpenOrCreate);
                                    PdfWriter.GetInstance(doc2, file2);
                                    doc2.Open();

                                    for (int i = 0; i < 64; i++)
                                    {
                                        Stopwatch reloj = new Stopwatch();
                                        string tiempo;
                                        reloj.Start();
                                        
                                        //MEDIMOS EL TIEMPO QUE TARDA EN HACER TODO EL PROCESO
                                        identi_pdf = almacenar_pdf(openFileDialog1.FileName);
                                        //AGREGAMOS ANOTACION AL PDF
                                        agrega_anotacion(openFileDialog1.FileName, lista_paginas, identi_pdf);

                                        reloj.Stop();
                                        long ts = reloj.ElapsedMilliseconds;
                                        tiempo = ts.ToString();
                                        doc2.Add(new Paragraph(tiempo));
                                        doc2.Add(new Paragraph("\n"));
                                    }
                                    doc2.Close();
                                    MessageBox.Show("La palabra se encuentra en el documento.");
                                }
                            }
                        }
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show("Error en la búsqueda individual de la palabra: " + ex.Message);
                    }
                }
            }
            //MODO AUTOMÁTICO
            else if (auto == 1)
            {
                int encontrado = 0;
                FolderBrowserDialog car = new FolderBrowserDialog();

                try
                {
                    if (car.ShowDialog() == DialogResult.OK)
                    {
                        List<string> dirs = new List<string>(Directory.EnumerateFiles(car.SelectedPath));
                        Document doc = new Document(PageSize.A4, 10, 10, 10, 10);
                        string filename = "C:/Users/Leticia/Documents/Visual Studio 2010/Projects/version1/version1/resultados/info_carpeta.pdf";
                        FileStream file = new FileStream(filename, FileMode.OpenOrCreate);
                        PdfWriter.GetInstance(doc, file);
                        doc.Open();

                        prog_bar.Minimum = 0;
                        prog_bar.Maximum = dirs.Count;
                        prog_bar.Value = 1;
                        prog_bar.Step = 1;
                        prog_bar.MarqueeAnimationSpeed = 10;
                        prog_bar.Style = ProgressBarStyle.Continuous;
                        label3.Text = "";

                        foreach (string d in dirs)
                        {
                            this.Height = 269;
                            prog_bar.PerformStep();
                            prog_bar.Increment(1);
                            Application.DoEvents();

                            lista_paginas = leePdf(d, elegido);
                            //SI NO ESTA LA PALABRA ACABAMOS
                            if (lista_paginas.Count == 0)
                            {
                                encontrado = encontrado + 0;
                            }
                            //SI ESTA LA PALABRA ALMACENAMOS EL PDF EN LA BBDD etc...
                            else
                            {
                                //for (int i = 0; i < 64; i++)
                                //{
                                    identi_pdf = almacenar_pdf(d);
                                    //AGREGAMOS ANOTACION AL PDF
                                    agrega_anotacion(d, lista_paginas, identi_pdf);
                                    encontrado = encontrado + 1;
                                    doc.Add(new Paragraph(d));
                                    doc.Add(new Paragraph("\n"));
                                //}
                            }
                            label3.Text = "Analizados = " + prog_bar.Value.ToString() + "/" + dirs.Count;
                        }
                        doc.Close();

                        if (encontrado == 0)
                        {
                            DialogResult boton = MessageBox.Show("La palabra no está en ningún documento de la carpeta.");
                        }
                        else if (encontrado > 0)
                        {
                            System.Diagnostics.Process proc = new System.Diagnostics.Process();
                            proc.StartInfo.FileName = "C:/Users/Leticia/Documents/Visual Studio 2010/Projects/version1/version1/resultados/info_carpeta.pdf";
                            proc.Start();
                            proc.Close();
                        }
                        prog_bar.Value = prog_bar.Minimum;
                        label3.Text = "";
                        this.Height = 178;
                    }
                }
                catch (Exception ex)
                {
                    MessageBox.Show("Error al elegir la nueva carpeta.");
                }
            }
        }

        public Dictionary<int,string> leePdf(string ruta_del_archivo, string elegido)
        {
            PdfReader reader = new PdfReader(ruta_del_archivo);
            StringBuilder text = new StringBuilder();
            //GUARDAMOS LAS PAGINAS DONDE ENCONTRAMOS LA PALABRA A ENCONTRAR
            Dictionary<int, string> paginas_etiquetas = new Dictionary<int, string>();

            try
            {
                //BUSCAMOS SI EXISTE ALGUNA PALABRA CONCRETA EN EL DOCUMENTO, PARA DECIDIR SI SEGUIR O NO
                //SACAMOS LA PÁGINA CON LA VARIABLE cPage
                for (int cPage = 1; cPage <= reader.NumberOfPages; cPage++)
                {
                    ITextExtractionStrategy strategy = new SimpleTextExtractionStrategy();
                    string currentText = PdfTextExtractor.GetTextFromPage(reader, cPage, strategy);
                    bool b;

                    //BUSCAMOS UN PALABRA CONCRETA O VARIAS
                    //LA PALABRA INICIAL SERA UPNA (Universidad Pública de Navarra)
                    //--ACENTOS/MAYUS/MINUS/COMBINACIONES--
                    //NECESITO GUARDAR LA/S PAGINA DONDE SE ENCUENTRA
                    if (b = currentText.Contains(elegido.ToLower()))
                    {
                        paginas_etiquetas.Add(cPage, elegido);
                    }
                    else if (b = currentText.Contains(elegido.ToUpper()))
                    {
                        paginas_etiquetas.Add(cPage, elegido);
                    }
                    else if (b = currentText.Contains(elegido))
                    {
                        paginas_etiquetas.Add(cPage, elegido);
                    }
                    //Expresion regular para encontrar la palabra tal cual viene en el texto,
                    // respetando MAY/MIN
                    else if (System.Text.RegularExpressions.Regex.IsMatch(currentText, elegido, 
                        System.Text.RegularExpressions.RegexOptions.IgnoreCase))
                    {
                        paginas_etiquetas.Add(cPage, elegido);
                    }   
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error al leer el archivo pdf: " + ex.Message);
            }
            return paginas_etiquetas;
        }
           
        public string almacenar_pdf(string ruta_del_archivo)
        {
            System.Data.SqlServerCe.SqlCeConnection conn;

            PdfReader R = new PdfReader(ruta_del_archivo);
            Dictionary<string, string> infodict = R.Info;
            
            char[] b = { '.', '\\', ':','+','-','"','\'' };
            string[] titulo = ruta_del_archivo.ToString().Split(b);
            string titulo_pdf = titulo[titulo.Length - 2];
            string iden_pdf = ""+titulo_pdf+"";
            string f = R.Info["CreationDate"];
            string[] fs = f.ToString().Split(b);
            string fecha_pdf = fs[1];

            try
            {
                conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                conn.Open();

                SqlCeCommand cmd = conn.CreateCommand();
                cmd.CommandText = "SELECT COUNT(*) FROM pdfs";
                cmd.ExecuteNonQuery();
                Int32 filas = (Int32)cmd.ExecuteScalar();

                SqlCeCommand cmd2 = conn.CreateCommand();
                cmd2.CommandText = "SELECT id FROM pdfs";
                cmd2.ExecuteNonQuery();
                SqlCeDataReader res2 = cmd2.ExecuteReader();

                int esta = 0;

                if (filas == 0)
                {
                    SqlCeCommand cmd3 = conn.CreateCommand();
                    cmd3.CommandText = "INSERT INTO pdfs ([id], [titulo], [fecha_pdf]) Values ('" + iden_pdf + "','" + titulo_pdf + "','" + fecha_pdf + "')";
                    cmd3.ExecuteNonQuery();
                }

                while (res2.Read())
                {
                    if (res2[0].ToString() == iden_pdf)
                    {
                        esta = 1;  
                    }
                }

                if (esta == 0) 
                {
                    SqlCeCommand cmd3 = conn.CreateCommand();
                    cmd3.CommandText = "INSERT INTO pdfs ([id], [titulo], [fecha_pdf]) Values ('" + iden_pdf + "','" + titulo_pdf + "','" + fecha_pdf + "')";
                    cmd3.ExecuteNonQuery();
                }  
                
                conn.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error al trabajar con la base de datos: " + ex.Message);
            }
            return iden_pdf;
        }
        
        public static void agrega_anotacion(string ruta_del_archivo, Dictionary<int,string> lista_paginas, string identi_pdf)
        {
            System.Data.SqlServerCe.SqlCeConnection conn;

            //LECTURA
            PdfReader reader = new PdfReader(ruta_del_archivo);
            bool per = reader.IsOpenedWithFullPermissions;
            char[] b = { '\\' };
            string[] c = {".pdf"};
            string[] titulo1 = ruta_del_archivo.ToString().Split(b);
            string tprueba = titulo1[titulo1.Length - 1];
            string[] t2 = tprueba.Split(c,System.StringSplitOptions.RemoveEmptyEntries);
            string titulo_pdf = t2[0];

            string contenido = null;

            try
            {
                if (per == true)
                {
                    conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                    conn.Open();

                    SqlCeCommand cmd = conn.CreateCommand();
                    cmd.CommandText = "SELECT * FROM pdfs";
                    SqlCeDataReader resConsulta1 = cmd.ExecuteReader();
                    cmd.ExecuteNonQuery();

                    int i = 0;
                    contenido = lista_paginas.ElementAt(i).Value;

                    //DONDE QUEREMOS ESCRIBIR EL PDF CON LA/S ANOTACIONES
                    PdfStamper stamper = new PdfStamper(reader, new FileStream("C:/Users/Leticia/Documents/Visual Studio 2010/Projects/version1/version1/resultados/" + titulo_pdf + "_anotado_" + contenido + ".pdf", FileMode.Create, FileAccess.ReadWrite, FileShare.None));
                    //Rectangulo se puede modificar como queramos, tipo, color etc...
                    PdfAnnotation anot_nueva;
                    PdfWriter writer = stamper.Writer;
                    PdfString titulo = new PdfString("Anotación");

                    foreach (KeyValuePair<int, string> anot in lista_paginas)
                    {
                        contenido = lista_paginas.ElementAt(i).Value;
                        anot_nueva = PdfAnnotation.CreateText(stamper.Writer, new iTextSharp.text.Rectangle(40, 500, 360, 530), "" + titulo + "", "" + contenido + "", true, "help");
                        stamper.AddAnnotation(anot_nueva, anot.Key);
                        i++;
                    }
                    stamper.Close();
                }
                rellenarTablaTiene(ruta_del_archivo, lista_paginas, titulo_pdf, contenido);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error al agregar anotación.");
            }
        }

        public void creaPdf() 
        { 
            System.Data.SqlServerCe.SqlCeConnection conn;

            Document doc = new Document(PageSize.A4, 10, 10, 10, 10);
            string filename = "C:/Users/Leticia/Documents/Visual Studio 2010/Projects/version1/version1/resultados/info_pdfs.pdf"; 
            FileStream file = new FileStream(filename, FileMode.OpenOrCreate);
            PdfWriter.GetInstance(doc, file);
            doc.Open();

            try
            {
                conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                conn.Open();
                SqlCeCommand cmd = conn.CreateCommand();
                cmd.CommandText = "SELECT DISTINCT * FROM tiene ORDER BY id_pdf";
                SqlCeDataReader resConsulta = cmd.ExecuteReader();
                cmd.ExecuteNonQuery();

                List<string> lista1 = new List<string>();
                List<string> lista2 = new List<string>();

                while (resConsulta.Read())
                {           
                    string c = resConsulta[1].ToString();
                    string b = resConsulta[0].ToString();
                    
                    lista1.Add(b);
                    lista2.Add(c);
                }

                char[] carac = { '[',']' };
                
                for (int k = 0; k < lista2.Count; k++)
                {
                    string[] titulos = lista1[k].ToString().Split(carac);
                    string[] etis = lista2[k].ToString().Split(carac);

                    doc.Add(new Paragraph("- Titulo Pdf: "+titulos[0].ToString()));
                    doc.Add(new Paragraph("\t \t - Etiquetas: "+etis[0].ToString()));
                    doc.Add(new Paragraph("\n"));
                }

                doc.Close();

                //button1.Enabled = false;

                System.Diagnostics.Process proc = new System.Diagnostics.Process();
                proc.StartInfo.FileName = "C:/Users/Leticia/Documents/Visual Studio 2010/Projects/version1/version1/resultados/info_pdfs.pdf";
                proc.Start();
                proc.Close();

                conn.Close();
            }

            catch (Exception ex)
            {
                MessageBox.Show("Error al trabajar con la base de datos: " + ex.Message);
            }
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            //button3.Enabled = true;
        }

        public int meterEtiquetas(ComboBox combobox)
        {
            try
            {
                System.Data.SqlServerCe.SqlCeConnection conn;
                conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                conn.Open();

                SqlCeCommand cmd = conn.CreateCommand();

                foreach (string item in combobox.Items)
                {
                    cmd.CommandText = "INSERT INTO etiquetas ([id_etiqueta], [contenido]) Values ('" + iden_eti.ToString() + "','" + item + "')";
                    cmd.ExecuteNonQuery();
                    iden_eti++;
                }
            }
            catch(Exception ex)
            {
                MessageBox.Show("Error al insertar los datos en la tabla etiquetas de la base de datos: " + ex.Message);
            }
            return iden_eti;
        }

        public static void rellenarTablaTiene (string ruta_del_archivo, Dictionary<int,string> lista_paginas, string titulo_pdf, string contenifdo)
        {
            try
            {
                System.Data.SqlServerCe.SqlCeConnection conn;

                conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                conn.Open();
                int j = 0;

                SqlCeCommand cmd = conn.CreateCommand();
                cmd.CommandText = "SELECT COUNT(*) FROM tiene";
                cmd.ExecuteNonQuery();
                Int32 filas = (Int32)cmd.ExecuteScalar();
                
                string id_etiqueta = lista_paginas.ElementAt(j).Value;
                SqlCeCommand cmd2 = conn.CreateCommand();
                cmd2.CommandText = "INSERT INTO tiene ([id_pdf], [id_etiqueta]) Values ('" + titulo_pdf + "','" + id_etiqueta + "')";

                SqlCeCommand cmd3 = conn.CreateCommand();
                cmd3.CommandText = "SELECT * FROM tiene";
                SqlCeDataReader resConsulta1 = cmd3.ExecuteReader();
                cmd3.ExecuteNonQuery();

                int esta = 0;

                //VACIA
                if (filas == 0)
                {
                    cmd2.ExecuteNonQuery();
                    j++;
                }

                while (resConsulta1.Read())
                {
                    string pdf = resConsulta1[0].ToString();
                    string eti = resConsulta1[1].ToString();

                    if ((resConsulta1[0].ToString() == titulo_pdf) && (resConsulta1[1].ToString() == id_etiqueta))
                    {
                        esta = 1;
                    }
                }

                //Meto
                if (esta == 0)
                {
                    cmd2.ExecuteNonQuery();
                    j++;
                }  
                conn.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error al rellenar la tabla 'tiene': " + ex.Message);
            }
        }

        public void crearTablas()
        { 
            System.Data.SqlServerCe.SqlCeConnection conn;

            try
            {
                conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                conn.Open();

                SqlCeCommand cmd = conn.CreateCommand();
                cmd.CommandText = "CREATE TABLE etiquetas (id_etiqueta NVARCHAR (100), contenido NVARCHAR(100))";
                cmd.ExecuteNonQuery();

                SqlCeCommand cmd2 = conn.CreateCommand();
                cmd2.CommandText = "CREATE TABLE pdfs (id NVARCHAR(100), titulo NVARCHAR(100), fecha_pdf NVARCHAR(50))";
                cmd2.ExecuteNonQuery();

                SqlCeCommand cmd3 = conn.CreateCommand();
                cmd3.CommandText = "CREATE TABLE tiene (id_pdf NVARCHAR(100), id_etiqueta NVARCHAR(100))";
                cmd3.ExecuteNonQuery();
                
                conn.Close();
            }

            catch(Exception ex)
            {
                //MessageBox.Show("Error al crear las tablas en la base de datos: " + ex.Message);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //CREAMOS PDF INFORMATIVO
            creaPdf();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            string abuscar = null;

            if ((textBox1.TextLength == 0) && (comboBox1.Text.Length == 0))
            {
                MessageBox.Show("Por favor, inserte la única palabra que quiere buscar.");
            }
            else if ((textBox1.TextLength > 0) && (comboBox1.Text.Length > 0))
            {
                MessageBox.Show("Por favor inserte una única palabra.");
            }
            else
            {
                if (textBox1.TextLength > 0)
                {
                   abuscar = textBox1.Text.ToString();
                }
                else if (comboBox1.Text.Length > 0)
                {
                    abuscar = comboBox1.SelectedItem.ToString();
                }

                busqueda(abuscar);
                //busqueda(textBox1.Text.ToString());

                try
                {
                    System.Data.SqlServerCe.SqlCeConnection conn;
                    conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
                    conn.Open();

                    //Miro si la tabla esta vacia
                    SqlCeCommand cmd = conn.CreateCommand();
                    cmd.CommandText = "SELECT COUNT(*) FROM etiquetas";
                    cmd.ExecuteNonQuery();
                    Int32 filas = (Int32)cmd.ExecuteScalar();

                    SqlCeCommand cmd2 = conn.CreateCommand();
                    cmd2.CommandText = "SELECT * FROM etiquetas";
                    SqlCeDataReader resConsulta1 = cmd2.ExecuteReader();
                    cmd2.ExecuteNonQuery();

                    //Comando para insertar la etiqueta
                    string eti = textBox1.Text.ToString();
                    iden_eti = filas;
                    SqlCeCommand cmd3 = conn.CreateCommand();
                    cmd3.CommandText = "INSERT INTO etiquetas ([id_etiqueta], [contenido]) Values ('" + iden_eti.ToString() + "','" + eti + "')";

                    int esta = 0;

                    //VACIA
                    if (filas == 0)
                    {
                        cmd3.ExecuteNonQuery();
                        iden_eti++;
                    }

                    while (resConsulta1.Read())
                    {
                        if (resConsulta1[1].ToString() == eti)
                        {
                            esta = 1;
                        }
                    }

                    if (esta == 0)
                    {
                        cmd3.ExecuteNonQuery();
                        iden_eti++;
                    }
                    conn.Close();
                }

                catch (Exception ex)
                {
                    MessageBox.Show("Error al insertar las etiquetas en la base de datos");
                }
                textBox1.Clear();
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            crearTablas();
            comboBox1.Items.AddRange(new object[] {
            "Universidad Pública de Navarra",
            "Investigación",
            "Pamplona",
            "Rector",
            "Sporting",
            "Flaño",
            "Étudiant"});

            //Miro si la tabla esta vacia o no
            System.Data.SqlServerCe.SqlCeConnection conn;
            conn = new SqlCeConnection("Data Source ='C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/almacen_pdf.sdf'; Password = 'prueba01!'");
            conn.Open();

            SqlCeCommand cmd = conn.CreateCommand();
            cmd.CommandText = "SELECT COUNT(*) FROM etiquetas";
            SqlCeDataReader resConsulta1 = cmd.ExecuteReader();
            cmd.ExecuteNonQuery();
            Int32 f = (Int32) cmd.ExecuteScalar();

            conn.Close();
            //VACIA
            if (f == 0)
            {
                iden_eti = meterEtiquetas(comboBox1);
            }
            //CREO CARPETA DONDE SE GUARDARÁN LOS PDFS ANOTADOS Y EL PDF INFORMATIVO
            Directory.CreateDirectory("C:/Users/Leticia/documents/visual studio 2010/Projects/version1/version1/resultados");
        }
    }
}
